/**********************************************************

DialogThread.cpp 
Copyright TransEra Corporation 1999.

***********************************************************/
#include "stdafx.h"
#include "HTBgraph.h"
#include "DialogThread.h"
#include "GraphDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;

#endif

IMPLEMENT_DYNCREATE(DialogThread, CWinThread)

DialogThread::DialogThread() 
{	
}

DialogThread::~DialogThread() 
{
}


/////////////////////////////////////////////////////////////////////////////
/*
	Function:		DialogThread::InitInstance

	Description:	Displays Dialog Box.	

	Return type:	BOOL 

	Notes:			Calls GraphDlg class and does a modal on that class
					thus bringing that defined dialog box into view and 
					use.		
*/
BOOL DialogThread::InitInstance() 
{		
	GraphDlg Dlg;							// dialog box
	g_GraphVar = &Dlg;						// save pointer to new dialog box for use outside this thread	
	Dlg.DoModal();							// put in on the screen
	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
/*
	Function:		DialogThread::ExitInstance

	Description:	Returns Thread for shut down

	Return type:	int 

	Notes:			Returns Thread for shut down
		
*/
int DialogThread::ExitInstance() 
{	
	return CWinThread::ExitInstance();
}

BEGIN_MESSAGE_MAP(DialogThread, CWinThread)
	//{{AFX_MSG_MAP(DialogThread)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


